Subject: Re: bug#75580: 30.0.93; statements inside string interpolation for csharp modes are fontified incorrectly

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Feb 2025 12:55:33 +0200

> Date: Sat, 1 Feb 2025 22:20:54 +0100
> Cc: Yuan Fu <[email-masked]>, [email-masked],
>  [email-masked], [email-masked], [email-masked]
> From: Jostein Kjønigsen <[email-masked]>
> 
> On 2/1/25 13:06, Jostein Kjønigsen wrote:
> > I don’t remember exactly why things ended up the way they did to be honest.
> >
> > I tried tweaking around with the rules to see if I could get better results, but ended up with different kinds of regressions.
> 
> I had time for a little effort. :)
> 
> Attached is a pretty minimal patch which seems to work for me. I've 
> guarded the changes behind a grammar-check, but I must admit I'm not 
> sure if that is needed or not.
> 
> Basically I remove the override, and add more specific rules for the 
> parts which goes "missing" without it.
> 
> Anyone have any opinions on the form of patch? Anyone want to do any 
> additional testing?
> 
> Let me know! If not, I guess Eli you can install this at your own leisure.

Thanks, installed on the master branch, and closing the bug.